Loading...
Searching...
No Matches
gsm0808_speech_codec Struct Reference

3GPP TS 48.008 3.2.2.104 Speech Codec. More...

`#include <gsm_08_08.h>`

## Data Fields

bool | fi
| Full IP: AoIP with compressed speech via RTP/UDP/IP.
bool | pi
| PCMoIP: PCM over A-Interface via RTP/UPD/IP.
bool | pt
| PCMoTDM: PCM over A-Interface with TDM as transport.
bool | tf
| TFO (Inband Tandem Free Operation).
uint8_t | type
| See enum gsm0808_speech_codec_type.
uint16_t | cfg
| For examples, see enum gsm0808_speech_codec_defaults.

## Detailed Description

3GPP TS 48.008 3.2.2.104 Speech Codec.

Valid if (fi || pi || pt) == true, otherwise ignore.

## Field Documentation

## cfg

uint16_t gsm0808_speech_codec::cfg

For examples, see enum gsm0808_speech_codec_defaults.

## fi

bool gsm0808_speech_codec::fi

Full IP: AoIP with compressed speech via RTP/UDP/IP.

## pi

bool gsm0808_speech_codec::pi

PCMoIP: PCM over A-Interface via RTP/UPD/IP.

## pt

bool gsm0808_speech_codec::pt

PCMoTDM: PCM over A-Interface with TDM as transport.

## tf

bool gsm0808_speech_codec::tf

TFO (Inband Tandem Free Operation).

Only valid if (pi || pt) == true.

## type

uint8_t gsm0808_speech_codec::type

See enum gsm0808_speech_codec_type.

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/protocol/gsm_08_08.h